Subject: Re: bug#37151: 26.2; Horizontal scroll with display-line-numbers mode on.
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Jen-Chieh Shen <[email-masked]>, [email-masked]
Date: Tue, 25 Aug 2020 17:04:26 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Jen-Chieh Shen <[email-masked]>
>> Date: Fri, 23 Aug 2019 09:33:51 +0800
>>
>> When `display-line-numbers-mode` is on, the `(window-width)` seems to be
>> incorrect because it dosen't include the width of
>> `display-line-numbers`.
>
> This is by design, and is not a bug.
>
>> When I hit `end-of-line` on the line with just
>> right with range `window width - display line numbers width` ~ `window width`
>> the cursor will be disappeared because of the miscalculation.
>
> This part I don't think I follow.  Please show a complete recipe for
> reproducing the problem, starting from "emacs -Q" and including all
> the key sequences/commands you type to reproduce the problem.

More information was requested, but none was given within 1 year, so I'm
closing this bug.  If this is still an issue, please reply to this email
(use "Reply to all" in your email client) and we can reopen the bug
report.

Best regards,
Stefan Kangas